> For the complete documentation index, see [llms.txt](https://docs.payments.thalescloud.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.payments.thalescloud.io/transit-classic/api-reference/api-overview/error-management.md).

# Error management

The table below lists the different error codes that are used in the TES API.

| Status code | Description                                                                                                              | Retryable |
| ----------- | ------------------------------------------------------------------------------------------------------------------------ | --------- |
| 111         | Missing mandatory parameter                                                                                              | N         |
| 112         | Bad parameter format                                                                                                     | N         |
| 113         | Unknown issuer                                                                                                           | N         |
| 116         | Unknown card account                                                                                                     | N         |
| 117         | Unknown device                                                                                                           | N         |
| 118         | Unknown session                                                                                                          | N         |
| 119         | Unknown virtual card                                                                                                     | N         |
| 120         | Unknown purchase                                                                                                         | N         |
| 121         | Unknown request                                                                                                          | N         |
| 159         | Card is blacklisted                                                                                                      | N         |
| 160         | Card is deleted                                                                                                          | N         |
| 162         | Card has unsufficient balance                                                                                            | N         |
| 163         | Card product not eligible                                                                                                | N         |
| 164         | Provisioning count exceeded                                                                                              | N         |
| 166         | Invalid card information                                                                                                 | N         |
| 167         | Card is already provisioned                                                                                              | N         |
| 170         | Provisioning request declined                                                                                            | N         |
| 171         | <p>Wallet account mismatch.<br>The wallet account is already associated<br>with a card under different customer name</p> | N         |
| 172         | Invalid card, unsupported system code                                                                                    | N         |
| 173         | Invalid card, unsupported service                                                                                        | N         |
| 177         | Invalid card, invalid area data                                                                                          | N         |
| 178         | Invalid card, card status is in-station                                                                                  | N         |
| 191         | Card is expired                                                                                                          | N         |
| 192         | Reader mode attempt exceeded allowed threshold                                                                           | N         |
| 221         | Device or wallet server not accessible                                                                                   | Y         |
| 231         | Device unexpected error                                                                                                  | N         |
| 232         | Device out of memory error                                                                                               | N         |
| 321         | Operation already on-going for this device                                                                               | Y         |
| 322         | Time to live of the operation expired                                                                                    | Y         |
| 323         | Operation incomplete                                                                                                     | N         |
| 419         | PIN required                                                                                                             | N         |
| 420         | PIN incorrect                                                                                                            | N         |
| 421         | PIN locked                                                                                                               | N         |
| 432         | Operation is not allowed with current card state                                                                         | N         |
| 911         | Operation failed                                                                                                         | N         |
| 921         | Unexpected server error                                                                                                  | Y         |

In addition to that, all requests resulting in HTTP 5xx code are considered as retryable.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.payments.thalescloud.io/transit-classic/api-reference/api-overview/error-management.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
